%include %{_rpmconfigdir}/macros.python3

Name: python3-pynacl
Version: 1.2.1
Release: 4
License: Apache-2.0
Summary: Python binding to the Networking and Cryptography (NaCl) library
Url: https://github.com/pyca/pynacl/

Source: https://files.pythonhosted.org/packages/08/19/cf56e60efd122fa6d2228118a9b345455b13ffe16a14be81d025b03b261f/PyNaCl-1.2.1.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: libffi-devel
BuildRequires: libsodium-devel
BuildRequires: pkg-config

BuildRequires: python3-cffi
BuildRequires: python3-six

Requires: python3-cffi
Requires: python3-six

%description
PyNaCl is a Python binding to libsodium, which is a fork of the Networking and
Cryptography library. These libraries have a stated goal of improving usability,
security and speed.

%prep
%setup -q -n PyNaCl-%{version}

%build

SODIUM_INSTALL=system python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/PyNaCl*
%{py_sitedir}/nacl*


%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from pip install so dependencies build from yum
- Remove uneeded BuildRequires

* Mon Dec 10 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial commit
